Page 1 of 1

VBA-GX SD2SP2 Support

Posted: Wed Mar 25, 2020 8:52 pm
by vsilvalopes
Hi !
I'm trying to run VBA-GX on my GameCube via SD2SP2 Adapter, but the emulator crashes right on the start.
I went to the Emulator GitHub, and noticed that it's not updated from a long time.

Anyone has a build of it, that supports SD2SP2?
Or, can anyone point me to a guide on How to Compile it, using the latest libs?

Last time I've got help on the same mater for GenesisPlusGX from user capzlk.

Again, thanks in advance!

Re: VBA-GX SD2SP2 Support

Posted: Tue Apr 07, 2020 11:30 am
by capzlk
I've had a go, but a lot seems to have changed in devkitpro since the last release of vba-gx, and i have not been able to get it to build as of yet. maybe someone with more experience with devkitpro can give it 30 minutes of their time :(

my free time currently is consumed getting the official compiler toolchain for the gamecube up and running since devkitpro doesnt have the features that i need and nobody seems to care about the missing bits :cry:

Re: VBA-GX SD2SP2 Support

Posted: Tue Apr 07, 2020 2:12 pm
by Papy.G
Doesn't the VBA-Next in Retroarch supports SD2SP2?
Edit: As of last release, Retroarch doesn't support SD2SP2, that's a PR idea.

What are your special expectations from a GBA emulator you can't find in emGBA? (Not to force you to a choice, just curious about why.)